---
title: "Introduction"
sub_link: "introduction"
meta_title: "Introduction to Polyaxon - Core Concepts"
meta_description: "Polyaxon is an open source platform for managing deep learning and machine learning lifecycle for teams who need power, flexibility and performance."
visibility: public
status: published
tags:
    - concepts
    - training
    - scale
    - scheduling
    - platform 
    - kubernetes
    - helm
    - containers
    - micro-services
    - deep-learning
    - machine-learning
    - enterprise
sidebar: "concepts"
---

Welcome to Polyaxon, a platform for managing the whole lifecycle of large scale deep learning and machine learning applications.

Polyaxon deploys into any data center, cloud provider,
or can be hosted and managed by Polyaxon,
and it supports all the major deep learning frameworks such as Tensorflow, MXNet, Caffe, Torch, etc.

Polyaxon makes it faster, easier, and more efficient to develop machine learning and deep learning applications. 
It is designed for individuals, teams and organizations who need reproducibility, compliance, power, flexibility and performance. 
It allows workloads scheduling with smart container and node management, and turns GPU servers into shared, self-service resources for your team or organization.

Here  you will find a comprehensive guide for setting up Polyaxon on your cluster,
and information for training, tracking, monitoring, and managing your data science lifecycle.

We do our best to make this documentation clear and user friendly,
if you see anything that is incorrect or have any questions,
feel free to reach out at the
[issues page](https://github.com/polyaxon/polyaxon/issues),
[forum](https://join.slack.com/t/polyaxon/shared_invite/enQtMzQ0ODc2MDg1ODc0LWY2ZTdkMTNmZjBlZmRmNjQxYmYwMTBiMDZiMWJhODI2ZTk0MDU4Mjg5YzA5M2NhYzc5ZjhiMjczMDllYmQ2MDg)
or [contact us](mailto:contact@polyaxon.com).

Please check our [quick start guide](/concepts/quick-start) to start training your first experiment.

To gain a deeper understanding of how polyaxon can help you iterate faster with your experiments, 
please take some time to familiarize yourself with the [architecture & experimentation workflow](/concepts/architecture/)

## Mission

Polyaxon’s mission is to make machine learning and deep learning simple and accessible to enterprises.

Current advances in machine learning and deep learning have direct impact on business, 
yet few companies are leveraging these latest technologies. 
The data science space is still lacking good tooling and best practices 
for organizing practitioners' workflows. It's particularly challenging 
because of the variety of tools and requirements used to develop production-ready models.

Our goal is to enable Polyaxon's users to use rigorous practices and workflows to 
go from reproducible and portable experiments to scalable model deployments.  

## How is Polyaxon different?

The first question most people have is, of course, how is Polyaxon different from everything else out there? Here's a quick summary:

 * Allows you to own your data ✅
 * Customizable and extensible ✅
 * Works with any framework or library ✅
 * Integrates with other tools in the community ✅
 * Built-in optimization engine ✅
 * Advanced dashboard for insights, collaboration, tracking, comparing, and monitoring  ✅
 * Comprehensive SDK ✅
 * Command Line Interface ✅
 * Native REST API ✅
 * Uses modern technology and is continuously improving ✅
 * Open Source ✅
 * Fast ✅
 * Reliably secure ✅
 * Made with passion and is here for long ✅
 * Has a sustainable business model with [EE & PaaS versions](https://polyaxon.org/pricing/) ✅

## Ecosystem

There are a broad range of tools, resources and helpful tutorials for working with Polyaxon available to help you get started.

Before diving into Polyaxon's Features in the the next section, it's useful to give you a high level overview of where to find things!

### The blog

For long-form news and announcements the best place to keep up to date with everything happening is [our blog](https://medium.com/polyaxon). 
There's an [RSS feed](https://medium.com/feed/polyaxon) and 
also [a newsletter](https://polyaxon.us17.list-manage.com/subscribe/post?u=1b6eccb8409861418bcc5dbfc&id=012464842e).

### Community channel

The [Polyaxon community channel](https://join.slack.com/t/polyaxon/shared_invite/enQtMzQ0ODc2MDg1ODc0LWY2ZTdkMTNmZjBlZmRmNjQxYmYwMTBiMDZiMWJhODI2ZTk0MDU4Mjg5YzA5M2NhYzc5ZjhiMjczMDllYmQ2MDg) is where to find other Polyaxon users.

### Media links

To keep in touch with people directly and give them updates about what's new with Polyaxon. 
Here are the easiest ways to keep track of Polyaxon:

- [Github](https://github.com/polyaxon/polyaxon)
- [Twitter](https://twitter.com/polyaxonAI)

### Guides &  Tutorials

We publish some [guides and tutorials](/guides/) from time to time to explain or clarify how to use our tools in a practical ways. 
These guides have tags, you can for instance show all guides for a particular tag to gain deeper knowledge about that area.

### Frequently asked questions

**Don't forget!** If you have any questions or problems the best places to start is the search box on this page, which will immediately return all results from across our documentation and [FAQ](/faq/) archive.


If you have subscription to one of our enterprise editions (`PaaS` or `EE`), 
just drop us an email on `support@polyaxon.com` and we'll be more than happy to help.
